<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/"><channel><title>Image Ui REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75576/image-ui-rest-endpoint</link><description>&lt;p&gt;&lt;span&gt;Developing on Verint Community? Use the API documentation as a reference for all supported interactions with Verint Community.&lt;/span&gt;&lt;/p&gt;</description><dc:language>en-US</dc:language><generator>14.0.0.586 14</generator><item><title>Image Ui REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75576/image-ui-rest-endpoint</link><pubDate>Fri, 08 Mar 2024 17:49:09 GMT</pubDate><guid isPermaLink="false">2d636463-86a4-4689-ab84-7a29b0d062f1</guid><dc:creator>Ben Tiedt</dc:creator><comments>https://community.telligent.com/community/13/w/api-documentation/75576/image-ui-rest-endpoint#comments</comments><description>Current Revision posted to API Documentation by Ben Tiedt on 03/08/2024 17:49:09&lt;br /&gt;
&lt;hr class="generated-documentation-start" style="border-width:0;" /&gt;&lt;div class="documentation"&gt;&lt;div class="documentation-url"&gt;&lt;h2&gt;GET api.ashx/v2/ui/image.{json|xml}&lt;/h2&gt;&lt;p&gt;Renders resized image HTML for a local or remote image URL with support for server-side resizing and different scale modes.&lt;/p&gt;&lt;div class="documentation-section parameters"&gt;&lt;h3&gt;Request Parameters&lt;/h3&gt;&lt;div class="value"&gt;&lt;table cellspacing="0"&gt;&lt;thead&gt; &lt;tr&gt;  &lt;th&gt;Name&lt;/th&gt;  &lt;th&gt;Type&lt;/th&gt;  &lt;th&gt;Location&lt;/th&gt;  &lt;th&gt;Description&lt;/th&gt;  &lt;th&gt;Required&lt;/th&gt;  &lt;th&gt;Default&lt;/th&gt;  &lt;th&gt;Options&lt;/th&gt; &lt;/tr&gt;&lt;/thead&gt;&lt;tbody&gt; &lt;tr&gt;  &lt;td&gt;maxHeight&lt;/td&gt;  &lt;td&gt;int&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;Maximum height of resulting image&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;100&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;maxWidth&lt;/td&gt;  &lt;td&gt;int&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;Maximum width of resulting image&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;100&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;outputIsPersisted&lt;/td&gt;  &lt;td&gt;bool&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;When the output is not persisted, direct links to CFS file URLs can be rendered.  Otherwise, the generic CFS URL is rendered which results in a redirect.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;false&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;resizeMethod&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;Method to resize. ScaleDown scales the entire image to fit within the boundaries. ZoomAndCrop scales the image as small as possible while still filling the entire width/height boundaries and retaining aspect ratio, resulting in cropping of either the X or Y axis as necessary.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;ScaleDown&lt;/td&gt;  &lt;td&gt;ScaleDown,ZoomAndCrop&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;scaleFactor&lt;/td&gt;  &lt;td&gt;double&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;Scale factor to use for high-DPI output&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;1&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;url&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;Url&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section requests"&gt;&lt;h3&gt;Example Requests&lt;/h3&gt;&lt;h4&gt;Widget Javascript&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;
jQuery.telligent.evolution.get({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v2/ui/image.json?maxHeight=6&amp;amp;maxWidth=6&amp;amp;url=url&amp;#39;,
	data: { 
		&amp;#39;maxHeight&amp;#39;: &amp;#39;6&amp;#39;,
		&amp;#39;maxWidth&amp;#39;: &amp;#39;6&amp;#39;,
		&amp;#39;url&amp;#39;: &amp;#39;url&amp;#39;
	}
}).then(function(response) {
	// use response
});&lt;/pre&gt;&lt;/div&gt;&lt;div class="documentation-section returns"&gt;&lt;h3&gt;Example Responses&lt;/h3&gt;&lt;h4&gt;JSON&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;{
  &amp;quot;Html&amp;quot;: &amp;quot;html&amp;quot;,
  &amp;quot;Errors&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ]
}&lt;/pre&gt;&lt;/div&gt;&lt;h4&gt;XML&lt;/h4&gt;&lt;pre class="brush: xml"&gt;&amp;lt;?xml version=&amp;quot;1.0&amp;quot; encoding=&amp;quot;utf-16&amp;quot;?&amp;gt;
&amp;lt;Response&amp;gt;
  &amp;lt;Html&amp;gt;html&amp;lt;/Html&amp;gt;
  &amp;lt;Errors&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
  &amp;lt;/Errors&amp;gt;
&amp;lt;/Response&amp;gt;&lt;/pre&gt;&lt;/div&gt;&lt;/div&gt;&lt;hr class="generated-documentation-end" style="border-width:0;" /&gt;&lt;div style="clear:both;"&gt;&lt;/div&gt;
</description></item></channel></rss>